<?php
/**
 * Модуль заглушка
 * 
 */

use UmiCms\Service;


class initpro_kassa extends def_module {

    /** Конструктор */
    public function __construct() {
        parent::__construct();

        if (Service::Request()->isAdmin()) {

            $this->__loadLib('admin.php');
            $this->__implement('Initpro_kassaAdmin');

            $this->loadAdminExtension();

            $this->__loadLib('customAdmin.php');
            $this->__implement('Initpro_kassaCustomAdmin', true);
        }

        $this->__loadLib('macros.php');
        $this->__implement('Initpro_kassaMacros');

        $this->loadSiteExtension();

        $this->__loadLib('customMacros.php');
        $this->__implement('Initpro_kassaCustomMacros', true);

        $this->__loadLib('handlers.php');
        $this->__implement('Initpro_kassaHandlers');

        $this->loadCommonExtension();
        $this->loadTemplateCustoms();
    }

    /**
     * Возвращает ссылки на форму редактирования страницы модуля и
     * на форму добавления дочернего элемента к странице.
     * @param int $element_id идентификатор страницы модуля
     * @param string|bool $element_type тип страницы модуля
     * @return array
     */
    public function getEditLink($element_id, $element_type = false) {
        return [
            false,
            $this->pre_lang . "/admin/initpro_kassa/editPage/{$element_id}/"
        ];
    }

    public function getSnosOption() {
        $regEdit = Service::Registry();
        $GUIDS = include 'guids.php';
        $currentSno = $regEdit->get('//modules/initpro_kassa/sno');
       
        $objectTypesCollection = umiObjectTypesCollection::getInstance();
        $objectsCollection = umiObjectsCollection::getInstance();

        $snoTypeId = $objectTypesCollection->getTypeIdByGUID($GUIDS['sno']);
        // var_dump(json_encode($snoTypeId));
        $snosObjects = $objectsCollection->getGuidedItems($snoTypeId);

        $snosObjects['value'] = $currentSno;
        return $snosObjects;

    }

    public function getVatsOption() {
        $regEdit = Service::Registry();
        $GUIDS = include 'guids.php';
        $currentVat = $regEdit->get('//modules/initpro_kassa/vat');

        $objectTypesCollection = umiObjectTypesCollection::getInstance();
        $objectsCollection = umiObjectsCollection::getInstance();

        $vatTypeId = $objectTypesCollection->getTypeIdByGUID($GUIDS['vat']);
        $vatsObjects = $objectsCollection->getGuidedItems($vatTypeId);

        $vatsObjects['value'] = $currentVat;
        return $vatsObjects;
    }

};
?>
