<?php

require_once "standalone.php";

function _update_commerce_initpro_kassa_report($data) {
    $sql = "UPDATE cms3_order_fiscalization_status SET `status` = '".$data['state']."' WHERE `operation_id` = '".$data['external_id']."';";
	$connection = ConnectionPool::getInstance()->getConnection();
    $result = $connection->queryResult($sql);
}

if (!array_key_exists('HTTP_X_HMAC_SIGNATURE', $_SERVER)) {
    header('HTTP/1.1 401 Unauthorized');
    exit();
}

if ($_SERVER['REQUEST_METHOD'] != 'POST') {
    header('HTTP/1.1 405 Method Not Allowed');
    header('Allow: POST');
    exit();
}

$config = json_decode(file_get_contents('initpro_config.json'), true);

$secret = $config['secret'];
if (empty($secret)) {
        header('HTTP/1.1 500 Internal Server Error');
        exit();
}

$scheme = array_key_exists('HTTPS', $_SERVER) && strtolower($_SERVER['HTTPS']) !== 'off' ? 'https' : 'http';
$url = sprintf('%s://%s%s', $scheme, $_SERVER['SERVER_NAME'], $_SERVER['REQUEST_URI']);

$data = file_get_contents('php://input');

$signature = hash_hmac('md5', $_SERVER['REQUEST_METHOD'] . $url . $data, $secret);

if ($signature != $_SERVER['HTTP_X_HMAC_SIGNATURE']) {
    header('HTTP/1.1 403 Forbidden');
    exit();
}

$data = json_decode($data, true);

foreach (array('external_id', 'state', 'id') as $key) {
    if (!array_key_exists($key, $data)) {
        header('HTTP/1.1 400 Bad Request');
        header('Content-Type: text/plain');
        echo $key." is required\n";
        exit();
    }
}

_update_commerce_initpro_kassa_report($data);

header('HTTP/1.1 200 OK');